#include <iostream>


using namespace std;

int h,n;

int main()
{
    cin >> h >> n;
    int mat[h][n];
    for(int i=0;i<h;i++)
    {
        for(int j=0;j<n;j++)
        {
            cin >> mat[i][j];
        }
    }
    cout << -1;
    return 0;
}